<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="top-client_host-by-result">

 <lire:title>Top Client By HTTP Result WWW Report</lire:title>
 <lire:description>
  <para>This report lists the client hosts with the most requests for
   each HTTP results.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="client_to_show" type="int" default="5">
   <lire:description>
    <para>This parameter controls the number of client hosts to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Requests by Client Hosts By HTTP Result, Top
  $client_to_show Clients</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="http_result">
   <lire:field name="http_result"/>

   <lire:group sort="-request_total" limit="$client_to_show">
    <lire:field name="client_host"/>

    <lire:count name="request_total" label="Requests"/>
    <lire:count name="request_ratio" ratio="table" label="% Total"/>
    <lire:count name="request_group_ratio" ratio="group" label="% Group"/>
   </lire:group>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

